compose_metadata:
  config-hash: cf0835397794edb97c71b6cd86091eaa934dd6b80b66c37e9e5b31545eba99e4
  container-number: '1'
  depends_on: ''
  image: sha256:ad5708199ec7d169c6837fe46e1646603d0f7d0a0f54d3cd8d07bc1c818d0224
  oneoff: 'False'
  project: appflowy-cloud
  project.config_files: /home/jon/AppFlowy-Cloud/docker-compose.yml
  project.working_dir: /home/jon/AppFlowy-Cloud
  service: nginx
  version: 2.33.1
container_id: a510d304028a085d79fc25ea1a5ec89f9be66cd4e1d216f41882445b0e6d8f17
created: '2025-08-18T18:12:12.508924749Z'
devices:
  device_cgroup_rules: []
  device_requests: []
  devices: []
environment:
  DYNPKG_RELEASE: 1~bookworm
  NGINX_VERSION: 1.29.1
  NJS_RELEASE: 1~bookworm
  NJS_VERSION: 0.9.1
  PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  PKG_RELEASE: 1~bookworm
execution:
  cmd:
  - nginx
  - -g
  - daemon off;
  entrypoint:
  - /docker-entrypoint.sh
  stop_signal: SIGQUIT
  user: ''
  working_dir: ''
host_system: surface_20250824
image:
  platform: linux
  sha: sha256:ad5708199ec7d169c6837fe46e1646603d0f7d0a0f54d3cd8d07bc1c818d0224
  tag: nginx
labels:
  com.docker.compose.config-hash: cf0835397794edb97c71b6cd86091eaa934dd6b80b66c37e9e5b31545eba99e4
  com.docker.compose.container-number: '1'
  com.docker.compose.depends_on: ''
  com.docker.compose.image: sha256:ad5708199ec7d169c6837fe46e1646603d0f7d0a0f54d3cd8d07bc1c818d0224
  com.docker.compose.oneoff: 'False'
  com.docker.compose.project: appflowy-cloud
  com.docker.compose.project.config_files: /home/jon/AppFlowy-Cloud/docker-compose.yml
  com.docker.compose.project.working_dir: /home/jon/AppFlowy-Cloud
  com.docker.compose.service: nginx
  com.docker.compose.version: 2.33.1
  maintainer: NGINX Docker Maintainers <docker-maint@nginx.com>
name: appflowy-cloud-nginx-1
networks:
  dns:
    nameservers: []
    options: []
    search_domains: []
  extra_hosts: []
  links: null
  networks:
    appflowy-cloud_default:
      aliases:
      - appflowy-cloud-nginx-1
      - nginx
      dns_names:
      - appflowy-cloud-nginx-1
      - nginx
      - a510d304028a
      endpoint_id: 0102ccc148bf0436067f435ae0cbc3da222fa3b0dcc9409990dfaee6550929af
      gateway: 172.20.0.1
      global_ipv6_address: ''
      ip_address: 172.20.0.5
      ip_prefix_len: 16
      ipam_config: null
      ipv6_gateway: ''
      mac_address: 8e:94:54:62:10:f4
      network_id: 97af1691b8d266f4c650dc087b71a4fba5d8b364642e765f132c5c8c3100b74c
  publish_all_ports: false
ports:
  bindings:
    443/tcp:
    - host_ip: ''
      host_port: '8443'
    80/tcp:
    - host_ip: ''
      host_port: '8080'
  exposed:
  - 443/tcp
  - 80/tcp
  published:
    443/tcp:
    - host_ip: 0.0.0.0
      host_port: '8443'
    - host_ip: '::'
      host_port: '8443'
    80/tcp:
    - host_ip: 0.0.0.0
      host_port: '8080'
    - host_ip: '::'
      host_port: '8080'
resources:
  blkio:
    device_read_bps: null
    device_read_iops: null
    device_write_bps: null
    device_write_iops: null
    weight: 0
    weight_device: null
  cpu:
    count: 0
    cpuset_cpus: ''
    cpuset_mems: ''
    percent: 0
    period: 0
    quota: 0
    realtime_period: 0
    realtime_runtime: 0
    shares: 0
  io:
    maximum_bandwidth: 0
    maximum_iops: 0
  memory:
    limit: 0
    oom_kill_disable: null
    reservation: 0
    swap: 0
    swappiness: null
  pids_limit: null
  shm_size: 67108864
  ulimits: null
runtime:
  auto_remove: false
  cgroup_ns_mode: private
  ipc_mode: private
  network_mode: appflowy-cloud_default
  pid_mode: ''
  privileged: false
  restart_policy:
    MaximumRetryCount: 0
    Name: on-failure
  user_ns_mode: ''
  uts_mode: ''
security:
  apparmor_profile: docker-default
  cap_add: null
  cap_drop: null
  cgroup: ''
  cgroup_parent: ''
  group_add: null
  isolation: ''
  masked_paths:
  - /proc/asound
  - /proc/acpi
  - /proc/interrupts
  - /proc/kcore
  - /proc/keys
  - /proc/latency_stats
  - /proc/timer_list
  - /proc/timer_stats
  - /proc/sched_debug
  - /proc/scsi
  - /sys/firmware
  - /sys/devices/virtual/powercap
  - /sys/devices/system/cpu/cpu0/thermal_throttle
  - /sys/devices/system/cpu/cpu1/thermal_throttle
  - /sys/devices/system/cpu/cpu2/thermal_throttle
  - /sys/devices/system/cpu/cpu3/thermal_throttle
  no_new_privileges: false
  oom_score_adj: 0
  readonly_paths:
  - /proc/bus
  - /proc/fs
  - /proc/irq
  - /proc/sys
  - /proc/sysrq-trigger
  readonly_rootfs: false
  runtime: runc
  security_opt: null
source_file: system_audit_surface_20250824_112825/discovery/2_services/container_appflowy-cloud-nginx-1.json
volumes:
  bind_strings:
  - /home/jon/AppFlowy-Cloud/nginx/nginx.conf:/etc/nginx/nginx.conf:rw
  - /home/jon/AppFlowy-Cloud/nginx/ssl/certificate.crt:/etc/nginx/ssl/certificate.crt:rw
  - /home/jon/AppFlowy-Cloud/nginx/ssl/private_key.key:/etc/nginx/ssl/private_key.key:rw
  detailed_mounts:
  - destination: /etc/nginx/ssl/certificate.crt
    driver: null
    mode: rw
    name: null
    propagation: rprivate
    rw: true
    source: /home/jon/AppFlowy-Cloud/nginx/ssl/certificate.crt
    type: bind
  - destination: /etc/nginx/ssl/private_key.key
    driver: null
    mode: rw
    name: null
    propagation: rprivate
    rw: true
    source: /home/jon/AppFlowy-Cloud/nginx/ssl/private_key.key
    type: bind
  - destination: /etc/nginx/nginx.conf
    driver: null
    mode: rw
    name: null
    propagation: rprivate
    rw: true
    source: /home/jon/AppFlowy-Cloud/nginx/nginx.conf
    type: bind
